import { MigrationInterface, QueryRunner } from "typeorm";

export class MakeRecruitmentTaskApplicationIdNullable1784658000000
  implements MigrationInterface
{
  name = "MakeRecruitmentTaskApplicationIdNullable1784658000000";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`
      ALTER TABLE \`recruitment_tasks\` MODIFY COLUMN \`application_id\` varchar(191) NULL;
    `);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`
      ALTER TABLE \`recruitment_tasks\` MODIFY COLUMN \`application_id\` varchar(191) NOT NULL;
    `);
  }
}
